Logged out
POST
/authentication/logout
const url = 'https://api.tradecloud1.com/v2/authentication/logout';const options = {method: 'POST', headers: {'Refresh-Token': '<Refresh-Token>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request POST \ --url https://api.tradecloud1.com/v2/authentication/logout \ --header 'Refresh-Token: <Refresh-Token>'Send the refresh token to invalidate it. Do NOT send an access token.
Authorizations
Section titled “Authorizations”Responses
Section titled “Responses”Successfully logged out
Not authenticated, the user should logout using the refresh token.
Service is not healthy (internal error), Tradecloud ops will be alerted.
Service is not healthy (bad gateway), Tradecloud ops will be alerted.
Service is unavailable (overloaded or down for maintenance), Tradecloud ops will be alerted.
Service is unavailable (gateway timeout), Tradecloud ops will be alerted.
